// common notion period
X.T => dur M;
// synchronize to the beginning of next period
M - (now % M) => now;
// quarter
M / 6 => dur T;

// synthesis patch
SndBuf buf => Gain g => X.out;
"data/eraser-tom1.wav" => buf.read;
// stop it 
0 => buf.rate;
0 => buf.gain;
.6 => g.gain;

// go
while( true )
{
    // wait
    2.5::T => now;
    
    // play
    0 => buf.pos;
    1 => buf.rate;
    Std.rand2f(.8,.9) => buf.gain;
    3.5::T => now;
}