// common notion of period
X.T => dur M;
// synchronize to the beginning of next period
M - (now % M) => now;
// quarter
M / 6 => dur T;

// synthesis patch
SndBuf buf => Gain g => X.out;
"data/hihat.wav" => buf.read;
// stop it 
0 => buf.rate;
0 => buf.gain;
.4 => g.gain;

// go
while( true )
{
    if( Std.rand2f(0,1) < .8 )
    {
        1 => buf.rate;
        0 => buf.pos;
        Std.rand2f(.8,.9) => buf.gain;
    }
    
    .5::T => now;
}